#pragma once

#include <btBulletDynamicsCommon.h>
#include <BulletCollision/CollisionDispatch/btGhostObject.h>

namespace kek {

struct PhysicsData {
	btDynamicsWorld *world;
};

struct PhysicsObjectData {
	btRigidBody *body;
};

struct PlayerPhysicsObjectData: public PhysicsObjectData {
	btGhostObject *jumpCollider;
};

namespace Physics {

glm::vec3 toGLM(btVector3 vec);
btVector3 fromGLM(glm::vec3 vec);

glm::quat toGLM(btQuaternion quat);
btQuaternion fromGLM(glm::quat quat);

}

}
